Create a payment order

Create a payment order. Integration Methods:

  1. API-ONLY Integration 1.1 Card Payments 1.1.1 Hosted Mode (Supports full hosted/embedded mode) 1.1.2 Server-to-Server Mode
  2. Checkout Page Integration (Supports full hosted mode, embedded mode not supported yet) 2.1 Create checkout session (Customers choose payment method themselves) 2.2 Pre-selected payment method

Payment Method Value and ID Mapping:

  • CARD:(100002)
  • CRYPTO_CARD:(100003)
  • USDC:(100007)
  • USDT:(100008)
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Payment creation request

string
required
length between 10 and 64

Merchant-generated order number, globally unique/idempotent

string
required

Order amount in string format, up to 6 decimal places

string
required
length between 3 and 3

Order currency

string
required
length between 2 and 2

Order country

paymentDetail
object

Payment details

callbackUrls
object
deprecated

Callback notification URLs

returnUrls
object

return URLs

card
object

Card information

customer
object

Customer information

goods
array of objects

Product list

goods
shippingInfo
object

Shipping information

billInfo
object

Billing information

merchant
object

Merchant information

additionalInfo
object

Additional acquiring parameters

string
length ≤ 1000

Merchant-provided information, will be returned as-is

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json